﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Bar 클래스 : 바 차트 그리기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            Bar bar = new Bar();

            bar.Marks.Style = MarksStyles.Value;

            bar.Add(123, "ABC", Color.Red  );
            bar.Add(456, "DEF", Color.Blue );
            bar.Add(321, "GHI", Color.Green);

            this.tChart.Series.Add(bar);

            this.tChart.Axes.Bottom.Title.Text = "시리즈";
            this.tChart.Axes.Left.Title.Text   = "값";
        }

        #endregion
    }
}